/* ==========================================================================
0. Bulkit colors
========================================================================== */

$white: #fff;
$smoke-white: #fcfcfc;
$grey-white: #f2f2f2;
$grey-white-accent: #e2e2e2;
$command-grey: #fafbfc;
$light-grey: #EFF4F7;
$ultra-light-grey: #f7fcff;
$light-white: #fafafa;
$title-grey: #A9ABAC;
$input-grey: #dbdbdb;
$input-border: #dee2e6;
$blue-grey: #444F60;
$blue-grey-light: lighten($blue-grey, 30%);
$light-blue-grey: #98a9c3;
$medium-grey: #66676b;
$basaltic-grey: #878787;
$muted-grey: #999;
$section-grey: #fbfbfb;
$section-grey-accent: #efefef;
$background-grey: #f3f5f7;
$header-grey: #F5F9FC;
$default-input: #ccc;
$placeholder: #cecece;
$fade-grey: #ededed;
$sidebar: #344258;
$coal: #444444;
$grey-6: #666;
$grey-5: #555;
$grey-3: #333;
$med-grey: #6f7592;
$cream-grey: #f6f4ff;
$icon-grey: #818a97;
$border-grey: #d4dadf;
$dashboard-grey: #f4f6fb;
$widget-grey: #f5f6fa;
$link-grey: #f5f5f5;

/* ==========================================================================
1. State colors
========================================================================== */

$red: #e62965;
$blue: #039BE5;
$green: #06d6a0;
$orange: #eda514;

$info: $blue;
$success: $green;
$warning: $orange;
$danger: $red;

$purple: #8269B2;
$azur: #37C3FF;
$red: #F92B60;
$salmon: #FFA981;
$yellow: #FFD66E;
$grass: #93E088;
$pink: #FF9EB8;
$light-blue: #77D2F3;

/* ==========================================================================
2. Social colors
========================================================================== */

// TODO: use this instead: https://aldi.github.io/bulma-social/

$facebook: #3B5998;
$twitter: #1dcaff;
$linkedin: #007bb6;
$tumblr: #35465c;
$github: #444;
$dribbble: #ea4c89;
$google-plus: #d34836;
$youtube: #cc181e;
$reddit: #ff4500;

/* ==========================================================================
3. Predefined gradients
========================================================================== */

// Modal gradient
$modal-ga: #6a85b6;
$modal-gb: #bac8e0;

$webkit-modal-gradient: -webkit-linear-gradient(45deg, $modal-ga 0%, $modal-gb 100%);
$modal-gradient: linear-gradient(45deg, $modal-ga 0%, $modal-gb 100%);

// Coal
$coal-a: $blue-grey;
$coal-b: #444;

$webkit-coal-gradient: -webkit-linear-gradient(45deg, $coal-a, $coal-b);
/* Chrome 10-25, Safari 5.1-6 */
$coal-gradient: linear-gradient(45deg, $coal-a, $coal-b);
/* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */


// Equal height cards

.is-fullheight {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.is-fullheight .card-footer {
    margin-top: auto;
}

// Title divider underline

.title-divider {
    width: 80px;
    height: 5px;
    background: $primary;

    &.is-right {
        margin-left: auto;
    }

    &.is-centered {
        margin: 0 auto;
    }

    &.is-title {
        margin-top: -1.0rem;
        margin-bottom: 0.25rem;
    }
}

// Title gap reduce

.is-close {
    margin-top: $subtitle-negative-margin
}

// Header

header {
    &.header-primary {
        background: radial-gradient(circle at top left, $primary, $secondary);
    }

    nav {
        a.twitter {
            fill: $twitter;
        }

        a.facebook {
            fill: $facebook;
        }

        a.twitter {
            fill: $twitter;
        }

        a.linkedin {
            fill: $linkedin;
        }

        a.tumblr {
            fill: $tumblr;
        }

        a.github {
            fill: $github;
        }

        a.dribbble {
            fill: $dribbble;
        }

        a.youtube {
            fill: $youtube;
        }

        a.reddit {
            fill: $reddit;
        }

        a {
            :hover {
                fill: $grey-lightest;
            }
        }
    }
}

.navbar {
    .icon {
        display: inline-block;
        position: relative;
        fill: $grey;
        position: relative;
        left: -.5em;
        vertical-align: middle;
    }
}

footer {
    &.footer-dark {
        background: $grey-darker;
        color: $white;
        position: relative;

        .footer-logo {
            padding: 10px 0;

            &.square-logo {
                img {
                    max-width: 40px;
                }
            }

            img {
                height: 25px;
            }
        }
        .title {
            a {
                color: $grey-light;
                transition: all 0.25s;
            }

            :hover {
                color: $grey-lightest;
            }
        }
        ul.link-list {
            line-height: 30px;
            font-size: 1rem;

            a {
                color: $grey-light;
                font-weight: 400;
                transition: all 0.25s;
            }

            :hover {
                color: $grey-lightest;
            }
        }

        nav {
            a {
                fill: $grey-light;
                transition: all 0.5s;
            }

            :hover {
                fill: $grey-lightest;
            }
        }

    }
}

// Tags
.tag {
    &.squared {
        border-radius: 2px !important;
    }

    &.is-light {
        background: $white;
        color: $blue-grey;

        &.is-outlined {
            background: transparent;
            border: 1px solid $white;
            color: $white;
        }
    }
}

//////////////// MARGIN / PADDING HELPER ///////////////////
$marginSizes: (1,
    2,
    3,
    4,
    5,
    6,
    7);
$positions: ("top",
    "left",
    "bottom",
    "right"
);
$i: 1;

@each $size in $marginSizes {
    $sizee: nth($sizes, $i);
    $i: $i+1;

    .has-negative-margin-#{$size} {
        margin: -$sizee !important;
    }

    @each $position in $positions {
        .has-negative-margin-#{$position}-#{$size} {
            margin-#{$position}: -$sizee !important;
        }
    }
}

.youtube {
	background-color: #000;
	margin-bottom: 30px;
	position: relative;
	padding-top: 56.25%;
	overflow: hidden;
	cursor: pointer;

    img {
        width: 100%;
        top: -16.82%;
        left: 0;
        opacity: 0.7;
        position: absolute;
    }
    .play-button {
        width: 90px;
        height: 60px;
        background-color: #333;
        box-shadow: 0 0 30px rgba( 0,0,0,0.6 );
        z-index: 1;
        opacity: 0.8;
        border-radius: 6px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate3d( -50%, -50%, 0 );
    }
    .play-button:before {
        content: "";
        border-style: solid;
        border-width: 15px 0 15px 26.0px;
        border-color: transparent transparent transparent #fff;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate3d( -50%, -50%, 0 );
    }
}

.youtube iframe {
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
}